#!/usr/bin/env python

#
# Implementation for file system controller.
#

#######################################################################

import threading

from dm.common.objects.dmObject import DmObject
from dm.common.objects.dmObjectManager import DmObjectManager
from dm.common.utility.dmSubprocess import DmSubprocess

#######################################################################

class FileSystemControllerImpl(DmObjectManager):
    """ FS controller implementation class. """

    def __init__(self):
        DmObjectManager.__init__(self)

    def getDirectoryList(self, path):
        p = DmSubprocess('ls -l %s' % path)
        p.run()
        return DmObject({'path' : path, 'directoryList' : p.getStdOut()})

    def writeFile(self, path, content):
        f = open(path, 'w')
        f.write('%s\n' % content)
        f.close()
        return DmObject({'path' : path})
